Subject: [bug#51416] [PATCH] profiles: Build the man database only if 'man-db' is in the profile.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 26 Oct 2021 23:50:54 +0200

Leo Famulari <[email-masked]> skribis:

> On Tue, Oct 26, 2021 at 07:33:28PM +0200, Ludovic Courtès wrote:
>> The other day Liliana came with a smart idea on IRC: to build the database
>> only when ‘man-db’ is also in the profile.  It’s a good way to not quite
>> make a decision :-), but it’s going to address the main pain point.
>> 
>> Thoughts?
>
>>>From the user's perspective, what would change? Would `man foo` still
> work after installing foo?

Yes.  What wouldn’t work, unless ‘man-db’ is in the same profile, is
‘man -k whatever’:

  https://guix.gnu.org/manual/en/html_node/Documentation.html

On Guix System, the system profile does include man-db by default.

Ludo’.